# `evaltools` : a model evaluation Python package

----

The Python package `evaltools` is designed to assess surface atmosphere composition prediction
models regarding to in-situ observations. This package provides different tools to compute
model scores and plot them. It is used for evaluation of air quality models of Copernicus
Atmosphere Monitoring Service (CAMS).

The concept of `evaltools` is to compare observations (measured over time in fixed lat/lon
locations) to simulations (that can have a forecast horizon of several days) computed over
a period of several days. Therefore, it can be suited for other data types like AERONET
data, but will not manage data with a vertical component.

## Installation

Go to the package directory and execute

```
pip3 install .
```

or, if you do not have admin rights,

```
pip3 install --user .
```

Several python libraries are required to run evaltools. These dependencies are

    * cython==0.29.28
    * numpy==1.21.5
    * scipy==1.8.0
    * matplotlib==3.5.1
    * pandas==1.3.5
    * netCDF4==1.5.8
    * cartopy==0.20.2

## Documentation

To compile html documentation, draw example charts with
```
make test
```
and then compile the html documentation with
```
make doc
```
To look at the documentation then open `doc/_build/html/index.html` with a web navigator.

Sphinx and the pydata theme may need to be install by
```
pip3 install -r dev-requirements.txt
```

## License

Copyright Météo France (2017 - )

This software is governed by the CeCILL-C license under French law and abiding by the rules of distribution of free software. You can use, modify and/ or redistribute the software under the terms of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following URL “http://www.cecill.info”.
